## opencv 4.0.1+dfsg

=== debian/changelog ===
opencv (4.0.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 4.0.1+dfsg
    + Bump package names: 3.4 => 4.0
    + Bump version number for java package installation files.
    + libopencv4.0-java breaks & replaces libopencv3.4-java.
  * New place-holder packages for "gapi" module (Graph API).
    + libopencv-gapi4.0, libopencv-gapi-dev
    - Append CMake option WITH_ADE=OFF to disable building gapi,
      because WITH_ADE=ON triggers 3rdparty tarball download.
  * Remove unused "modules/dnn/3rdparty" exclusion from copyright.
  * Bump VTK B-D from libvtk6-dev to libvtk7-dev.
  * Remove sed-patch for installed CMake files and update install target.
  * Add WITH_OPENCL=on and WITH_OPENGL=on to CMake options.
  * Reflect changes of upstream installation layout.
    + /usr/include/opencv/ has been completely removed.
    + Headers have been moved to /usr/include/opencv4/opencv2/*
  * Remove debian/not-installed
  * Replace dh_install --fail-missing with override_dh_missing target.
  * Fix typo for the -DOPENCV_SKIP_PYTHON_LOADER=ON argument.
  * Pkg-config file (deprecated) is no longer provided by libopencv-dev.
  * Append myself to copyright holders of debian directory.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 04 Feb 2019 02:13:51 +0000
