=== debian/control ===
Source: opencv
Priority: optional
Section: devel
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Mo Zhou <cdluminate@gmail.com>,
Build-Depends:
 ant,
 cmake (>= 2.8.7),
 debhelper (>= 11),
 default-jdk,
 dh-python,
 doxygen,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libdc1394-22-dev [linux-any],
 libeigen3-dev,
 libgdal-dev,
 libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libgoogle-glog-dev,
 libgphoto2-dev,
 libgtk-3-dev,
 libjpeg-dev,
 liblapack-dev (>= 3.2.1),
 libleptonica-dev,
 libopenexr-dev (>= 1.6.1-8.1),
 libpng-dev,
 libprotobuf-dev,
 libraw1394-dev [linux-any],
 libswscale-dev,
 libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
 libtesseract-dev,
 libtiff-dev,
 libv4l-dev [linux-any],
 libvtk7-dev,
 libvtkgdcm2-dev,
 libgdcm-tools,
 maven-repo-helper,
 ocl-icd-opencl-dev,
 protobuf-compiler,
 python-dev,
 python-numpy,
 python3-dev,
 python3-numpy,
 zlib1g-dev (>= 1.2.5),
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/science-team/opencv.git
Vcs-Browser: https://salsa.debian.org/science-team/opencv
Homepage: https://opencv.org

Package: opencv-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
Conflicts:
 libopencv-doc,
Replaces:
 libopencv-doc,
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-dev
Section: libdevel
Architecture: any
Depends:
 libopencv-calib3d-dev (= ${binary:Version}),
 libopencv-contrib-dev (= ${binary:Version}),
 libopencv-core-dev (= ${binary:Version}),
 libopencv-dnn-dev (= ${binary:Version}),
 libopencv-features2d-dev (= ${binary:Version}),
 libopencv-flann-dev (= ${binary:Version}),
 libopencv-highgui-dev (= ${binary:Version}),
 libopencv-imgcodecs-dev (= ${binary:Version}),
 libopencv-imgproc-dev (= ${binary:Version}),
 libopencv-ml-dev (= ${binary:Version}),
 libopencv-objdetect-dev (= ${binary:Version}),
 libopencv-photo-dev (= ${binary:Version}),
 libopencv-shape-dev (= ${binary:Version}),
 libopencv-stitching-dev (= ${binary:Version}),
 libopencv-superres-dev (= ${binary:Version}),
 libopencv-ts-dev (= ${binary:Version}),
 libopencv-video-dev (= ${binary:Version}),
 libopencv-videoio-dev (= ${binary:Version}),
 libopencv-videostab-dev (= ${binary:Version}),
 libopencv-viz-dev (= ${binary:Version}),
 libopencv4.0-java (= ${source:Version}),
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends},
 libilmbase-dev,
Recommends:
 opencv-data,
Suggests:
 opencv-doc,
Breaks:
 libopencv-core-dev (<= 2.3.1-8),
Replaces:
 libcv-dev,
 libcvaux-dev,
 libhighgui-dev,
Conflicts:
 libcv-dev,
 libcvaux-dev,
 libhighgui-dev,
Description: development files for opencv
 This is a metapackage providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: opencv-data
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 libopencv-dev (<= 2.3.1-12),
Description: development data for opencv
 This package contains some architecture independent files useful for
 development with OpenCV.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core4.0 (= ${binary:Version}),
 libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
 zlib1g-dev,
 ${misc:Depends},
Description: development files for libopencv-core4.0
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) core.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core4.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision core library
 This package contains the OpenCV (Open Computer Vision) core runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core-dev (= ${binary:Version}),
 libopencv-ml4.0 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-ml4.0
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Machine Learning library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml4.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-core4.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Machine Learning library
 This package contains the OpenCV (Open Computer Vision) Machine Learning
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core-dev (= ${binary:Version}),
 libopencv-imgproc4.0 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-imgproc4.0
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Processing library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc4.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-core4.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Image Processing library
 This package contains the OpenCV (Open Computer Vision) Image Processing
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgcodecs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
 libopencv-imgcodecs4.0 (= ${binary:Version}),
 libopencv-imgproc-dev (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-imgcodecs4.0
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Codecs library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgcodecs4.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-imgproc4.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
