## opencv 4.1.2+dfsg

=== debian/changelog ===
opencv (4.1.2+dfsg-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Replace libgdbm2-dev with libgdbm-dev,
    and libvtkgdcm2-dev with libvtkgdcm-dev. (closes: #944341)

  [ Mo Zhou ]
  * Add AVX512_COMMON to amd64 dispatch list, and VFPV3,NEON to arm64 list.
  * Exclude gdcm development packages from B-D on non-release architectures.

  [ Gianfranco Costamagna ]
  * Remove builddir-static to save some space (Closes: #943706)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Nov 2019 16:08:26 +0800

opencv (4.1.2+dfsg-4) unstable; urgency=medium

  * Disable MSA (MIPS* arch) to avoid ISA violation. (Closes: #942561)
  * Re-enable pkg-config file generation. (Closes: #942562)
  * Install the opencv4.pc file to libopencv-dev

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 18 Oct 2019 14:39:01 +0000

opencv (4.1.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable and start transition.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 16 Oct 2019 16:46:08 +0800

opencv (4.1.2+dfsg-2) experimental; urgency=medium

  * Deprecate the Python2 package: python-opencv. (Closes: #937199)
  * Don't run unit tests on mipsel at all.
  * Revert "Bump VTK B-D from libvtk6-dev to libvtk7-dev." for portability.
  * Rebuild in experimental (Closes: #940483)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 11:42:43 +0800

opencv (4.1.2+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.2+dfsg
  * Files-Excluded: exclude more Lena images from the source.
  * Drop patches for "fixing the atomic linkage".
  * Bump version numbers for java files from 4.1.1 to 4.1.2.
  * Install the new contrib module dnn_superres.
  * Use "noopt" and "-gsplit-dwarf" on mipsel.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 13 Oct 2019 16:51:16 +0800

opencv (4.1.1+dfsg-3) experimental; urgency=medium

  * Disable parallel build for mips* architectures due to OOM issue.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 14:35:37 +0800

opencv (4.1.1+dfsg-2) experimental; urgency=medium

  * Enable code path dispatch for SIMD optimization.
  * Prevent dh_numpy from generating depends field for every package.
  * Copyright: mention different 3rd clauses in BSD-3 licenses.
  * Fixup armel FTBFS:
    * Cherry-pick 4649728 to fix atomic linkage.
    * Cherry-pick c657c6c to fix minor issue in the atomic fix.
  * RISCV64: disable gdcm2 support and enable tbb support. (Closes: #924713)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Sep 2019 05:22:17 +0000

opencv (4.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.1+dfsg
  * Re-enable dh_auto_tests and keep performance tests disabled.
    + Allow some tests to fail.
  * Bump OpenCV version number for Java related control files.
  * Fix disordered output when building the package:
    * Use ninja (-GNinja & B-D) build.
    * Avoid parallel d/rules build steps.
    * Avoid parallel d/rules configure steps.
  * Patch a XML file to circumvent the javadoc build failure.
  * Install additional YML files to opencv-data.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 27 Aug 2019 06:12:54 +0000

opencv (4.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.1.0+dfsg
  * Bump SOVERSION from 4.0 to 4.1, and update installation files as well.
  * Update OpenCV version to 4.1.0 in pom.xml.
  * libopencv4.1-java Breaks&Replaces libopencv4.0-java.
  * Patch cmake to prevent it from installing excluded files.
  * New "quality" module in contrib.
  * Override several lintian warnings.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 16 Apr 2019 07:37:32 +0000
