=== debian/control ===
--- 
+++ 
@@ -14,13 +14,14 @@
  dh-python,
  doxygen,
  javahelper,
+ ninja-build,
  libavcodec-dev,
  libavformat-dev,
  libavresample-dev,
  libdc1394-22-dev [linux-any],
  libeigen3-dev,
  libgdal-dev,
- libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
+ libgdcm-dev [!hppa !m68k !powerpcspe !riscv64 !sh4 !sparc64 !x32],
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libgoogle-glog-dev,
@@ -34,18 +35,16 @@
  libprotobuf-dev,
  libraw1394-dev [linux-any],
  libswscale-dev,
- libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
+ libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 riscv64 sh4 sparc64],
  libtesseract-dev,
  libtiff-dev,
  libv4l-dev [linux-any],
- libvtk7-dev,
- libvtkgdcm2-dev,
+ libvtk6-dev,
+ libvtkgdcm-dev [!alpha !ppc64 !riscv64 !x32],
  libgdcm-tools,
  maven-repo-helper,
  ocl-icd-opencl-dev,
  protobuf-compiler,
- python-dev,
- python-numpy,
  python3-dev,
  python3-numpy,
  zlib1g-dev (>= 1.2.5),
@@ -102,7 +101,7 @@
  libopencv-videoio-dev (= ${binary:Version}),
  libopencv-videostab-dev (= ${binary:Version}),
  libopencv-viz-dev (= ${binary:Version}),
- libopencv4.0-java (= ${source:Version}),
+ libopencv4.1-java (= ${source:Version}),
  pkg-config,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -161,11 +160,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-core4.0 (= ${binary:Version}),
- libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
+ libopencv-core4.1 (= ${binary:Version}),
+ libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 riscv64 sh4 sparc64],
  zlib1g-dev,
  ${misc:Depends},
-Description: development files for libopencv-core4.0
+Description: development files for libopencv-core4.1
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) core.
  .
@@ -179,7 +178,7 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-core4.0
+Package: libopencv-core4.1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -207,9 +206,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-ml4.0 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-ml4.0
+ libopencv-ml4.1 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-ml4.1
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Machine Learning library.
  .
@@ -223,14 +222,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-ml4.0
+Package: libopencv-ml4.1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core4.0 (= ${binary:Version}),
+ libopencv-core4.1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Machine Learning library
@@ -253,9 +252,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-imgproc4.0 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-imgproc4.0
+ libopencv-imgproc4.1 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-imgproc4.1
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Processing library.
  .
@@ -269,14 +268,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgproc4.0
+Package: libopencv-imgproc4.1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core4.0 (= ${binary:Version}),
+ libopencv-core4.1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Processing library
@@ -298,11 +297,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
- libopencv-imgcodecs4.0 (= ${binary:Version}),
+ libgdcm-dev [!hppa !m68k !powerpcspe !riscv64 !sh4],
+ libopencv-imgcodecs4.1 (= ${binary:Version}),
  libopencv-imgproc-dev (= ${binary:Version}),
  ${misc:Depends},
-Description: development files for libopencv-imgcodecs4.0
+Description: development files for libopencv-imgcodecs4.1
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Codecs library.
  .
@@ -316,13 +315,10 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgcodecs4.0
+Package: libopencv-imgcodecs4.1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-imgproc4.0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
