=== debian/rules ===
--- 
+++ 
@@ -9,22 +9,25 @@
 
 # Comply with Debian architectures baseline.
 # See cmake/OpenCVCompilerOptimizations.cmake for a list of known features.
-# Don't try to autodetect CPU features
-CMAKE_ARCH_FLAGS += -DCPU_DISPATCH=
+# Reference: https://github.com/opencv/opencv/wiki/CPU-optimizations-build-options
 ifeq ($(DEB_HOST_ARCH_CPU),amd64)
  # Only SSE2 on amd64
  CMAKE_ARCH_FLAGS += -DCPU_BASELINE=SSE2
- CMAKE_ARCH_FLAGS += -DCPU_BASELINE_REQUIRE=SSE2
- CMAKE_ARCH_FLAGS += -DCPU_BASELINE_DISABLE=SSE3
+ CMAKE_ARCH_FLAGS += -DCPU_DISPATCH=SSE3,SSE4_2,AVX,AVX2,AVX512_COMMON
 else ifeq ($(DEB_HOST_ARCH_CPU),armhf)
  CMAKE_ARCH_FLAGS += -DCPU_BASELINE_DISABLE="VFPV3 NEON"
+ CMAKE_ARCH_FLAGS += -DCPU_DISPATCH=VFPV3,NEON
 else ifeq ($(DEB_HOST_ARCH_CPU),i386)
  # Be extra sure SSE is not picked up on i386
  CMAKE_ARCH_FLAGS += -DCPU_BASELINE_DISABLE="SSE SSE2"
+else ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
+ # VSX for Power8, VSX3 for Power9
+ CMAKE_ARCH_FLAGS += -DCPU_BASELINE=VSX
+ CMAKE_ARCH_FLAGS += -DCPU_DISPATCH=VSX3
 endif
 
 # TBB support
-ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64))
+ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sh4 sparc64))
 CMAKE_ARCH_FLAGS += -DWITH_TBB=ON
 else
 CMAKE_ARCH_FLAGS += -DWITH_TBB=OFF
@@ -37,15 +40,23 @@
 CMAKE_ARCH_FLAGS += -DWITH_1394=OFF -DWITH_V4L=OFF
 endif
 
+# mitigate compiler OOM during build
+ifeq ($(DEB_HOST_ARCH),mipsel)
+export DEB_BUILD_OPTIONS=noopt
+CXXFLAGS+=-gsplit-dwarf
+endif
+
 # For Java
 export JAVA_HOME=/usr/lib/jvm/default-java
 
 CMAKE_FLAGS = \
+	-GNinja \
 	-DANT_EXECUTABLE=/usr/bin/ant \
 	-DBUILD_EXAMPLES=ON	\
 	-DBUILD_JAVA=ON \
 	-DBUILD_PROTOBUF=OFF \
-	-DBUILD_TESTS=OFF \
+	-DBUILD_TESTS=ON \
+	-DBUILD_PERF_TESTS=OFF \
 	-DBUILD_opencv_dnn=ON \
 	-DBUILD_opencv_dnn_modern=ON \
 	-DBUILD_opencv_face=ON \
@@ -64,6 +75,7 @@
 	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
 	-DOPENCV_MATHJAX_RELPATH=/usr/share/javascript/mathjax/ \
 	-DOPENCV_SKIP_PYTHON_LOADER=ON \
+	-DOPENCV_GENERATE_PKGCONFIG=ON \
 	-DOpenGL_GL_PREFERENCE=GLVND \
 	-DPROTOBUF_UPDATE_FILES=ON \
 	-DWITH_ADE=OFF \
@@ -92,7 +104,7 @@
 	$(CMAKE_ARCH_FLAGS)
 
 %:
-	dh $@ --with python2,python3,javahelper,jh_maven_repo_helper
+	dh $@ --with python3,javahelper,jh_maven_repo_helper
 
 override_dh_clean:
 	rm -rvf modules/python/src2/hdr_parser.pyc
@@ -107,25 +119,38 @@
 	dh_auto_clean -B $(BUILDDIR)-static
 
 
-override_dh_auto_configure: configure_dyn configure_static
-configure_dyn:
+override_dh_auto_configure:
+	# dynamicly linked
 	dh_auto_configure -B $(BUILDDIR) \
 		-- $(CMAKE_FLAGS) \
 		-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
 		-DBUILD_SHARED_LIBS=ON -DBUILD_DOCS=ON
-configure_static:
+	# statically linked
 	dh_auto_configure -B $(BUILDDIR)-static \
 		-- $(CMAKE_FLAGS) \
 		-DBUILD_SHARED_LIBS=OFF -DBUILD_DOCS=OFF
 
-override_dh_auto_build: build_dyn build_static
-build_dyn:
+override_dh_auto_build:
+	# documentation
+	dh_auto_build -B $(BUILDDIR) -- doxygen
+ifneq (,$(findstring $(DEB_HOST_ARCH), mipsel))
+	# dynamically linked
+	dh_auto_build --no-parallel -B $(BUILDDIR)
+	# statically linked
+	dh_auto_build --no-parallel -B $(BUILDDIR)-static
+else
+	# dynamically linked
 	dh_auto_build -B $(BUILDDIR)
-	dh_auto_build -B $(BUILDDIR) -- doxygen
-build_static:
+	# statically linked
 	dh_auto_build -B $(BUILDDIR)-static
+endif
 
 override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),mipsel)
+	true # Don't run the tests at all
+else
+	-LD_LIBRARY_PATH=$(shell realpath $(BUILDDIR))/lib dh_auto_test
+endif
 
 override_dh_auto_install:
 	dh_auto_install -B $(BUILDDIR)
@@ -136,17 +161,17 @@
 	-find debian/tmp -type f -name jquery.js -delete
 	-find debian/tmp -type f -name '*.supp' -delete
 	-find debian/tmp -type d -empty -delete
+	-$(RM) -r $(BUILDDIR)-static
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_gencontrol:
-	dh_numpy
-	dh_numpy3
+	dh_numpy3 -p python3-opencv
 	dh_gencontrol
 
-OCV_CONTRIB = opencv_contrib-4.0.1
+OCV_CONTRIB = opencv_contrib-4.1.2
 PKG = opencv
 UVER = $(shell dpkg-parsechangelog -S Version | sed 's,-.*,,')
 DTYPE = +dfsg
